import { loadConfig } from "unconfig";
export function addSlash(str) {
  return str.endsWith("/") ? str : `${str}/`;
}
export async function loadAliases() {
  const { config } = await loadConfig({
    merge: true,
    sources: [
      {
        files: "svelte.config",
        rewrite: (_config) => {
          const config2 = _config;
          return { alias: config2?.kit?.alias };
        }
      },
      {
        files: "vite.config",
        rewrite: (_config) => {
          const config2 = _config;
          return { alias: config2?.resolve?.alias };
        }
      }
    ]
  });
  const _alias = config?.alias ?? {};
  const alias = {};
  for (const [key, value] of Object.entries(_alias)) {
    if (typeof value === "string" && typeof key === "string") {
      alias[key] = addSlash(value);
    }
  }
  return alias;
}
